searchData={"items":[{"type":"module","title":"GoogleApi.CustomSearch.V1","doc":"API client metadata for GoogleApi.CustomSearch.V1.","ref":"GoogleApi.CustomSearch.V1.html"},{"type":"function","title":"GoogleApi.CustomSearch.V1.discovery_revision/0","doc":"","ref":"GoogleApi.CustomSearch.V1.html#discovery_revision/0"},{"type":"module","title":"GoogleApi.CustomSearch.V1.Api.Cse","doc":"API calls for all endpoints tagged `Cse`.","ref":"GoogleApi.CustomSearch.V1.Api.Cse.html"},{"type":"function","title":"GoogleApi.CustomSearch.V1.Api.Cse.search_cse_list/3","doc":"Returns metadata about the search performed, metadata about the engine used for the search, and the search results.","ref":"GoogleApi.CustomSearch.V1.Api.Cse.html#search_cse_list/3"},{"type":"function","title":"Parameters - GoogleApi.CustomSearch.V1.Api.Cse.search_cse_list/3","doc":"*   `connection` (*type:* `GoogleApi.CustomSearch.V1.Connection.t`) - Connection to server\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:num` (*type:* `integer()`) - Number of search results to return. * Valid values are integers between 1 and 10, inclusive.\n    *   `:rights` (*type:* `String.t`) - Filters based on licensing. Supported values include: `cc_publicdomain`, `cc_attribute`, `cc_sharealike`, `cc_noncommercial`, `cc_nonderived` and combinations of these. See [typical combinations](https://wiki.creativecommons.org/wiki/CC_Search_integration).\n    *   `:hq` (*type:* `String.t`) - Appends the specified query terms to the query, as if they were combined with a logical AND operator.\n    *   `:c2coff` (*type:* `String.t`) - Enables or disables [Simplified and Traditional Chinese Search](https://developers.google.com/custom-search/docs/json_api_reference#chineseSearch). The default value for this parameter is 0 (zero), meaning that the feature is enabled. Supported values are: * `1`: Disabled * `0`: Enabled (default)\n    *   `:imgDominantColor` (*type:* `String.t`) - Returns images of a specific dominant color. Acceptable values are: * `\"black\"` * `\"blue\"` * `\"brown\"` * `\"gray\"` * `\"green\"` * `\"orange\"` * `\"pink\"` * `\"purple\"` * `\"red\"` * `\"teal\"` * `\"white\"` * `\"yellow\"`\n    *   `:googlehost` (*type:* `String.t`) - **Deprecated**. Use the `gl` parameter for a similar effect. The local Google domain (for example, google.com, google.de, or google.fr) to use to perform the search.\n    *   `:cx` (*type:* `String.t`) - The Programmable Search Engine ID to use for this request.\n    *   `:start` (*type:* `integer()`) - The index of the first result to return. The default number of results per page is 10, so `&start=11` would start at the top of the second page of results. **Note**: The JSON API will never return more than 100 results, even if more than 100 documents match the query, so setting the sum of `start + num` to a number greater than 100 will produce an error. Also note that the maximum value for `num` is 10.\n    *   `:excludeTerms` (*type:* `String.t`) - Identifies a word or phrase that should not appear in any documents in the search results.\n    *   `:siteSearchFilter` (*type:* `String.t`) - Controls whether to include or exclude results from the site named in the `siteSearch` parameter. Acceptable values are: * `\"e\"`: exclude * `\"i\"`: include\n    *   `:dateRestrict` (*type:* `String.t`) - Restricts results to URLs based on date. Supported values include: * `d[number]`: requests results from the specified number of past days. * `w[number]`: requests results from the specified number of past weeks. * `m[number]`: requests results from the specified number of past months. * `y[number]`: requests results from the specified number of past years.\n    *   `:relatedSite` (*type:* `String.t`) - Deprecated.\n    *   `:siteSearch` (*type:* `String.t`) - Specifies a given site which should always be included or excluded from results (see `siteSearchFilter` parameter, below).\n    *   `:gl` (*type:* `String.t`) - Geolocation of end user. * The `gl` parameter value is a two-letter country code. The `gl` parameter boosts search results whose country of origin matches the parameter value. See the [Country Codes](https://developers.google.com/custom-search/docs/json_api_reference#countryCodes) page for a list of valid values. * Specifying a `gl` parameter value should lead to more relevant results. This is particularly true for international customers and, even more specifically, for customers in English- speaking countries other than the United States.\n    *   `:exactTerms` (*type:* `String.t`) - Identifies a phrase that all documents in the search results must contain.\n    *   `:searchType` (*type:* `String.t`) - Specifies the search type: `image`. If unspecified, results are limited to webpages. Acceptable values are: * `\"image\"`: custom image search.\n    *   `:imgColorType` (*type:* `String.t`) - Returns black and white, grayscale, transparent, or color images. Acceptable values are: * `\"color\"` * `\"gray\"` * `\"mono\"`: black and white * `\"trans\"`: transparent background\n    *   `:imgType` (*type:* `String.t`) - Returns images of a type. Acceptable values are: * `\"clipart\"` * `\"face\"` * `\"lineart\"` * `\"stock\"` * `\"photo\"` * `\"animated\"`\n    *   `:filter` (*type:* `String.t`) - Controls turning on or off the duplicate content filter. * See [Automatic Filtering](https://developers.google.com/custom-search/docs/json_api_reference#automaticFiltering) for more information about Google's search results filters. Note that host crowding filtering applies only to multi-site searches. * By default, Google applies filtering to all search results to improve the quality of those results. Acceptable values are: * `0`: Turns off duplicate content filter. * `1`: Turns on duplicate content filter.\n    *   `:sort` (*type:* `String.t`) - The sort expression to apply to the results. The sort parameter specifies that the results be sorted according to the specified expression i.e. sort by date. [Example: sort=date](https://developers.google.com/custom-search/docs/structured_search#sort-by-attribute).\n    *   `:lowRange` (*type:* `String.t`) - Specifies the starting value for a search range. Use `lowRange` and `highRange` to append an inclusive search range of `lowRange...highRange` to the query.\n    *   `:imgSize` (*type:* `String.t`) - Returns images of a specified size. Acceptable values are: * `\"huge\"` * `\"icon\"` * `\"large\"` * `\"medium\"` * `\"small\"` * `\"xlarge\"` * `\"xxlarge\"`\n    *   `:lr` (*type:* `String.t`) - Restricts the search to documents written in a particular language (e.g., `lr=lang_ja`). Acceptable values are: * `\"lang_ar\"`: Arabic * `\"lang_bg\"`: Bulgarian * `\"lang_ca\"`: Catalan * `\"lang_cs\"`: Czech * `\"lang_da\"`: Danish * `\"lang_de\"`: German * `\"lang_el\"`: Greek * `\"lang_en\"`: English * `\"lang_es\"`: Spanish * `\"lang_et\"`: Estonian * `\"lang_fi\"`: Finnish * `\"lang_fr\"`: French * `\"lang_hr\"`: Croatian * `\"lang_hu\"`: Hungarian * `\"lang_id\"`: Indonesian * `\"lang_is\"`: Icelandic * `\"lang_it\"`: Italian * `\"lang_iw\"`: Hebrew * `\"lang_ja\"`: Japanese * `\"lang_ko\"`: Korean * `\"lang_lt\"`: Lithuanian * `\"lang_lv\"`: Latvian * `\"lang_nl\"`: Dutch * `\"lang_no\"`: Norwegian * `\"lang_pl\"`: Polish * `\"lang_pt\"`: Portuguese * `\"lang_ro\"`: Romanian * `\"lang_ru\"`: Russian * `\"lang_sk\"`: Slovak * `\"lang_sl\"`: Slovenian * `\"lang_sr\"`: Serbian * `\"lang_sv\"`: Swedish * `\"lang_tr\"`: Turkish * `\"lang_zh-CN\"`: Chinese (Simplified) * `\"lang_zh-TW\"`: Chinese (Traditional)\n    *   `:fileType` (*type:* `String.t`) - Restricts results to files of a specified extension. A list of file types indexable by Google can be found in Search Console [Help Center](https://support.google.com/webmasters/answer/35287).\n    *   `:q` (*type:* `String.t`) - Query\n    *   `:safe` (*type:* `String.t`) - Search safety level. Acceptable values are: * `\"active\"`: Enables SafeSearch filtering. * `\"off\"`: Disables SafeSearch filtering. (default)\n    *   `:linkSite` (*type:* `String.t`) - Specifies that all search results should contain a link to a particular URL.\n    *   `:snippetLength` (*type:* `integer()`) - Optional. Maximum length of snippet text, in characters, to be returned with results. Note: this feature is limited to specific engines. * Valid values are integers between 161 and 1000, inclusive.\n    *   `:highRange` (*type:* `String.t`) - Specifies the ending value for a search range. * Use `lowRange` and `highRange` to append an inclusive search range of `lowRange...highRange` to the query.\n    *   `:enableAlternateSearchHandler` (*type:* `boolean()`) - Optional. Enables routing of Programmable Search Engine requests to an alternate search handler.\n    *   `:orTerms` (*type:* `String.t`) - Provides additional search terms to check for in a document, where each document in the search results must contain at least one of the additional search terms.\n    *   `:hl` (*type:* `String.t`) - Sets the user interface language. * Explicitly setting this parameter improves the performance and the quality of your search results. * See the [Interface Languages](https://developers.google.com/custom-search/docs/json_api_reference#wsInterfaceLanguages) section of [Internationalizing Queries and Results Presentation](https://developers.google.com/custom-search/docs/json_api_reference#wsInternationalizing) for more information, and [Supported Interface Languages](https://developers.google.com/custom-search/docs/json_api_reference#interfaceLanguages) for a list of supported languages.\n    *   `:cr` (*type:* `String.t`) - Restricts search results to documents originating in a particular country. You may use [Boolean operators](https://developers.google.com/custom-search/docs/json_api_reference#booleanOperators) in the cr parameter's value. Google Search determines the country of a document by analyzing: * the top-level domain (TLD) of the document's URL * the geographic location of the Web server's IP address See the [Country Parameter Values](https://developers.google.com/custom-search/docs/json_api_reference#countryCollections) page for a list of valid values for this parameter.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.CustomSearch.V1.Api.Cse.html#search_cse_list/3-parameters"},{"type":"function","title":"Returns - GoogleApi.CustomSearch.V1.Api.Cse.search_cse_list/3","doc":"*   `{:ok, %GoogleApi.CustomSearch.V1.Model.Search{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.CustomSearch.V1.Api.Cse.html#search_cse_list/3-returns"},{"type":"function","title":"GoogleApi.CustomSearch.V1.Api.Cse.search_cse_siterestrict_list/3","doc":"Returns metadata about the search performed, metadata about the engine used for the search, and the search results. Uses a small set of url patterns.","ref":"GoogleApi.CustomSearch.V1.Api.Cse.html#search_cse_siterestrict_list/3"},{"type":"function","title":"Parameters - GoogleApi.CustomSearch.V1.Api.Cse.search_cse_siterestrict_list/3","doc":"*   `connection` (*type:* `GoogleApi.CustomSearch.V1.Connection.t`) - Connection to server\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:num` (*type:* `integer()`) - Number of search results to return. * Valid values are integers between 1 and 10, inclusive.\n    *   `:rights` (*type:* `String.t`) - Filters based on licensing. Supported values include: `cc_publicdomain`, `cc_attribute`, `cc_sharealike`, `cc_noncommercial`, `cc_nonderived` and combinations of these. See [typical combinations](https://wiki.creativecommons.org/wiki/CC_Search_integration).\n    *   `:hq` (*type:* `String.t`) - Appends the specified query terms to the query, as if they were combined with a logical AND operator.\n    *   `:c2coff` (*type:* `String.t`) - Enables or disables [Simplified and Traditional Chinese Search](https://developers.google.com/custom-search/docs/json_api_reference#chineseSearch). The default value for this parameter is 0 (zero), meaning that the feature is enabled. Supported values are: * `1`: Disabled * `0`: Enabled (default)\n    *   `:imgDominantColor` (*type:* `String.t`) - Returns images of a specific dominant color. Acceptable values are: * `\"black\"` * `\"blue\"` * `\"brown\"` * `\"gray\"` * `\"green\"` * `\"orange\"` * `\"pink\"` * `\"purple\"` * `\"red\"` * `\"teal\"` * `\"white\"` * `\"yellow\"`\n    *   `:googlehost` (*type:* `String.t`) - **Deprecated**. Use the `gl` parameter for a similar effect. The local Google domain (for example, google.com, google.de, or google.fr) to use to perform the search.\n    *   `:cx` (*type:* `String.t`) - The Programmable Search Engine ID to use for this request.\n    *   `:start` (*type:* `integer()`) - The index of the first result to return. The default number of results per page is 10, so `&start=11` would start at the top of the second page of results. **Note**: The JSON API will never return more than 100 results, even if more than 100 documents match the query, so setting the sum of `start + num` to a number greater than 100 will produce an error. Also note that the maximum value for `num` is 10.\n    *   `:excludeTerms` (*type:* `String.t`) - Identifies a word or phrase that should not appear in any documents in the search results.\n    *   `:siteSearchFilter` (*type:* `String.t`) - Controls whether to include or exclude results from the site named in the `siteSearch` parameter. Acceptable values are: * `\"e\"`: exclude * `\"i\"`: include\n    *   `:dateRestrict` (*type:* `String.t`) - Restricts results to URLs based on date. Supported values include: * `d[number]`: requests results from the specified number of past days. * `w[number]`: requests results from the specified number of past weeks. * `m[number]`: requests results from the specified number of past months. * `y[number]`: requests results from the specified number of past years.\n    *   `:relatedSite` (*type:* `String.t`) - Deprecated.\n    *   `:siteSearch` (*type:* `String.t`) - Specifies a given site which should always be included or excluded from results (see `siteSearchFilter` parameter, below).\n    *   `:gl` (*type:* `String.t`) - Geolocation of end user. * The `gl` parameter value is a two-letter country code. The `gl` parameter boosts search results whose country of origin matches the parameter value. See the [Country Codes](https://developers.google.com/custom-search/docs/json_api_reference#countryCodes) page for a list of valid values. * Specifying a `gl` parameter value should lead to more relevant results. This is particularly true for international customers and, even more specifically, for customers in English- speaking countries other than the United States.\n    *   `:exactTerms` (*type:* `String.t`) - Identifies a phrase that all documents in the search results must contain.\n    *   `:searchType` (*type:* `String.t`) - Specifies the search type: `image`. If unspecified, results are limited to webpages. Acceptable values are: * `\"image\"`: custom image search.\n    *   `:imgColorType` (*type:* `String.t`) - Returns black and white, grayscale, transparent, or color images. Acceptable values are: * `\"color\"` * `\"gray\"` * `\"mono\"`: black and white * `\"trans\"`: transparent background\n    *   `:imgType` (*type:* `String.t`) - Returns images of a type. Acceptable values are: * `\"clipart\"` * `\"face\"` * `\"lineart\"` * `\"stock\"` * `\"photo\"` * `\"animated\"`\n    *   `:filter` (*type:* `String.t`) - Controls turning on or off the duplicate content filter. * See [Automatic Filtering](https://developers.google.com/custom-search/docs/json_api_reference#automaticFiltering) for more information about Google's search results filters. Note that host crowding filtering applies only to multi-site searches. * By default, Google applies filtering to all search results to improve the quality of those results. Acceptable values are: * `0`: Turns off duplicate content filter. * `1`: Turns on duplicate content filter.\n    *   `:sort` (*type:* `String.t`) - The sort expression to apply to the results. The sort parameter specifies that the results be sorted according to the specified expression i.e. sort by date. [Example: sort=date](https://developers.google.com/custom-search/docs/structured_search#sort-by-attribute).\n    *   `:lowRange` (*type:* `String.t`) - Specifies the starting value for a search range. Use `lowRange` and `highRange` to append an inclusive search range of `lowRange...highRange` to the query.\n    *   `:imgSize` (*type:* `String.t`) - Returns images of a specified size. Acceptable values are: * `\"huge\"` * `\"icon\"` * `\"large\"` * `\"medium\"` * `\"small\"` * `\"xlarge\"` * `\"xxlarge\"`\n    *   `:lr` (*type:* `String.t`) - Restricts the search to documents written in a particular language (e.g., `lr=lang_ja`). Acceptable values are: * `\"lang_ar\"`: Arabic * `\"lang_bg\"`: Bulgarian * `\"lang_ca\"`: Catalan * `\"lang_cs\"`: Czech * `\"lang_da\"`: Danish * `\"lang_de\"`: German * `\"lang_el\"`: Greek * `\"lang_en\"`: English * `\"lang_es\"`: Spanish * `\"lang_et\"`: Estonian * `\"lang_fi\"`: Finnish * `\"lang_fr\"`: French * `\"lang_hr\"`: Croatian * `\"lang_hu\"`: Hungarian * `\"lang_id\"`: Indonesian * `\"lang_is\"`: Icelandic * `\"lang_it\"`: Italian * `\"lang_iw\"`: Hebrew * `\"lang_ja\"`: Japanese * `\"lang_ko\"`: Korean * `\"lang_lt\"`: Lithuanian * `\"lang_lv\"`: Latvian * `\"lang_nl\"`: Dutch * `\"lang_no\"`: Norwegian * `\"lang_pl\"`: Polish * `\"lang_pt\"`: Portuguese * `\"lang_ro\"`: Romanian * `\"lang_ru\"`: Russian * `\"lang_sk\"`: Slovak * `\"lang_sl\"`: Slovenian * `\"lang_sr\"`: Serbian * `\"lang_sv\"`: Swedish * `\"lang_tr\"`: Turkish * `\"lang_zh-CN\"`: Chinese (Simplified) * `\"lang_zh-TW\"`: Chinese (Traditional)\n    *   `:fileType` (*type:* `String.t`) - Restricts results to files of a specified extension. A list of file types indexable by Google can be found in Search Console [Help Center](https://support.google.com/webmasters/answer/35287).\n    *   `:q` (*type:* `String.t`) - Query\n    *   `:safe` (*type:* `String.t`) - Search safety level. Acceptable values are: * `\"active\"`: Enables SafeSearch filtering. * `\"off\"`: Disables SafeSearch filtering. (default)\n    *   `:linkSite` (*type:* `String.t`) - Specifies that all search results should contain a link to a particular URL.\n    *   `:snippetLength` (*type:* `integer()`) - Optional. Maximum length of snippet text, in characters, to be returned with results. Note: this feature is limited to specific engines. * Valid values are integers between 161 and 1000, inclusive.\n    *   `:highRange` (*type:* `String.t`) - Specifies the ending value for a search range. * Use `lowRange` and `highRange` to append an inclusive search range of `lowRange...highRange` to the query.\n    *   `:enableAlternateSearchHandler` (*type:* `boolean()`) - Optional. Enables routing of Programmable Search Engine requests to an alternate search handler.\n    *   `:orTerms` (*type:* `String.t`) - Provides additional search terms to check for in a document, where each document in the search results must contain at least one of the additional search terms.\n    *   `:hl` (*type:* `String.t`) - Sets the user interface language. * Explicitly setting this parameter improves the performance and the quality of your search results. * See the [Interface Languages](https://developers.google.com/custom-search/docs/json_api_reference#wsInterfaceLanguages) section of [Internationalizing Queries and Results Presentation](https://developers.google.com/custom-search/docs/json_api_reference#wsInternationalizing) for more information, and [Supported Interface Languages](https://developers.google.com/custom-search/docs/json_api_reference#interfaceLanguages) for a list of supported languages.\n    *   `:cr` (*type:* `String.t`) - Restricts search results to documents originating in a particular country. You may use [Boolean operators](https://developers.google.com/custom-search/docs/json_api_reference#booleanOperators) in the cr parameter's value. Google Search determines the country of a document by analyzing: * the top-level domain (TLD) of the document's URL * the geographic location of the Web server's IP address See the [Country Parameter Values](https://developers.google.com/custom-search/docs/json_api_reference#countryCollections) page for a list of valid values for this parameter.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.CustomSearch.V1.Api.Cse.html#search_cse_siterestrict_list/3-parameters"},{"type":"function","title":"Returns - GoogleApi.CustomSearch.V1.Api.Cse.search_cse_siterestrict_list/3","doc":"*   `{:ok, %GoogleApi.CustomSearch.V1.Model.Search{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.CustomSearch.V1.Api.Cse.html#search_cse_siterestrict_list/3-returns"},{"type":"module","title":"GoogleApi.CustomSearch.V1.Connection","doc":"Handle Tesla connections for GoogleApi.CustomSearch.V1.","ref":"GoogleApi.CustomSearch.V1.Connection.html"},{"type":"function","title":"GoogleApi.CustomSearch.V1.Connection.delete/3","doc":"Perform a DELETE request.\n\nSee `request/1` or `request/2` for options definition.\n\n    delete(\"/users\")\n    delete(\"/users\", query: [scope: \"admin\"])\n    delete(client, \"/users\")\n    delete(client, \"/users\", query: [scope: \"admin\"])\n    delete(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.CustomSearch.V1.Connection.html#delete/3"},{"type":"function","title":"GoogleApi.CustomSearch.V1.Connection.delete!/3","doc":"Perform a DELETE request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    delete!(\"/users\")\n    delete!(\"/users\", query: [scope: \"admin\"])\n    delete!(client, \"/users\")\n    delete!(client, \"/users\", query: [scope: \"admin\"])\n    delete!(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.CustomSearch.V1.Connection.html#delete!/3"},{"type":"function","title":"GoogleApi.CustomSearch.V1.Connection.execute/2","doc":"Execute a request on this connection","ref":"GoogleApi.CustomSearch.V1.Connection.html#execute/2"},{"type":"function","title":"Returns - GoogleApi.CustomSearch.V1.Connection.execute/2","doc":"*   `{:ok, Tesla.Env.t}` - If the call was successful\n*   `{:error, reason}` - If the call failed","ref":"GoogleApi.CustomSearch.V1.Connection.html#execute/2-returns"},{"type":"function","title":"GoogleApi.CustomSearch.V1.Connection.get/3","doc":"Perform a GET request.\n\nSee `request/1` or `request/2` for options definition.\n\n    get(\"/users\")\n    get(\"/users\", query: [scope: \"admin\"])\n    get(client, \"/users\")\n    get(client, \"/users\", query: [scope: \"admin\"])\n    get(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.CustomSearch.V1.Connection.html#get/3"},{"type":"function","title":"GoogleApi.CustomSearch.V1.Connection.get!/3","doc":"Perform a GET request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    get!(\"/users\")\n    get!(\"/users\", query: [scope: \"admin\"])\n    get!(client, \"/users\")\n    get!(client, \"/users\", query: [scope: \"admin\"])\n    get!(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.CustomSearch.V1.Connection.html#get!/3"},{"type":"function","title":"GoogleApi.CustomSearch.V1.Connection.head/3","doc":"Perform a HEAD request.\n\nSee `request/1` or `request/2` for options definition.\n\n    head(\"/users\")\n    head(\"/users\", query: [scope: \"admin\"])\n    head(client, \"/users\")\n    head(client, \"/users\", query: [scope: \"admin\"])\n    head(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.CustomSearch.V1.Connection.html#head/3"},{"type":"function","title":"GoogleApi.CustomSearch.V1.Connection.head!/3","doc":"Perform a HEAD request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    head!(\"/users\")\n    head!(\"/users\", query: [scope: \"admin\"])\n    head!(client, \"/users\")\n    head!(client, \"/users\", query: [scope: \"admin\"])\n    head!(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.CustomSearch.V1.Connection.html#head!/3"},{"type":"function","title":"GoogleApi.CustomSearch.V1.Connection.new/0","doc":"Configure an authless client connection","ref":"GoogleApi.CustomSearch.V1.Connection.html#new/0"},{"type":"function","title":"Returns - GoogleApi.CustomSearch.V1.Connection.new/0","doc":"*   `Tesla.Env.client`","ref":"GoogleApi.CustomSearch.V1.Connection.html#new/0-returns"},{"type":"function","title":"GoogleApi.CustomSearch.V1.Connection.new/1","doc":"Configure a client connection using a function which yields a Bearer token.","ref":"GoogleApi.CustomSearch.V1.Connection.html#new/1"},{"type":"function","title":"Parameters - GoogleApi.CustomSearch.V1.Connection.new/1","doc":"*   `token_fetcher` (*type:* `list(String.t()) -> String.t()`) - Callback\n    which provides an OAuth2 token given a list of scopes","ref":"GoogleApi.CustomSearch.V1.Connection.html#new/1-parameters"},{"type":"function","title":"Returns - GoogleApi.CustomSearch.V1.Connection.new/1","doc":"*   `Tesla.Env.client`","ref":"GoogleApi.CustomSearch.V1.Connection.html#new/1-returns"},{"type":"function","title":"GoogleApi.CustomSearch.V1.Connection.options/3","doc":"Perform a OPTIONS request.\n\nSee `request/1` or `request/2` for options definition.\n\n    options(\"/users\")\n    options(\"/users\", query: [scope: \"admin\"])\n    options(client, \"/users\")\n    options(client, \"/users\", query: [scope: \"admin\"])\n    options(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.CustomSearch.V1.Connection.html#options/3"},{"type":"function","title":"GoogleApi.CustomSearch.V1.Connection.options!/3","doc":"Perform a OPTIONS request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    options!(\"/users\")\n    options!(\"/users\", query: [scope: \"admin\"])\n    options!(client, \"/users\")\n    options!(client, \"/users\", query: [scope: \"admin\"])\n    options!(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.CustomSearch.V1.Connection.html#options!/3"},{"type":"function","title":"GoogleApi.CustomSearch.V1.Connection.patch/4","doc":"Perform a PATCH request.\n\nSee `request/1` or `request/2` for options definition.\n\n    patch(\"/users\", %{name: \"Jon\"})\n    patch(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    patch(client, \"/users\", %{name: \"Jon\"})\n    patch(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.CustomSearch.V1.Connection.html#patch/4"},{"type":"function","title":"GoogleApi.CustomSearch.V1.Connection.patch!/4","doc":"Perform a PATCH request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    patch!(\"/users\", %{name: \"Jon\"})\n    patch!(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    patch!(client, \"/users\", %{name: \"Jon\"})\n    patch!(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.CustomSearch.V1.Connection.html#patch!/4"},{"type":"function","title":"GoogleApi.CustomSearch.V1.Connection.post/4","doc":"Perform a POST request.\n\nSee `request/1` or `request/2` for options definition.\n\n    post(\"/users\", %{name: \"Jon\"})\n    post(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    post(client, \"/users\", %{name: \"Jon\"})\n    post(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.CustomSearch.V1.Connection.html#post/4"},{"type":"function","title":"GoogleApi.CustomSearch.V1.Connection.post!/4","doc":"Perform a POST request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    post!(\"/users\", %{name: \"Jon\"})\n    post!(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    post!(client, \"/users\", %{name: \"Jon\"})\n    post!(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.CustomSearch.V1.Connection.html#post!/4"},{"type":"function","title":"GoogleApi.CustomSearch.V1.Connection.put/4","doc":"Perform a PUT request.\n\nSee `request/1` or `request/2` for options definition.\n\n    put(\"/users\", %{name: \"Jon\"})\n    put(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    put(client, \"/users\", %{name: \"Jon\"})\n    put(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.CustomSearch.V1.Connection.html#put/4"},{"type":"function","title":"GoogleApi.CustomSearch.V1.Connection.put!/4","doc":"Perform a PUT request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    put!(\"/users\", %{name: \"Jon\"})\n    put!(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    put!(client, \"/users\", %{name: \"Jon\"})\n    put!(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.CustomSearch.V1.Connection.html#put!/4"},{"type":"function","title":"GoogleApi.CustomSearch.V1.Connection.request/2","doc":"Perform a request.","ref":"GoogleApi.CustomSearch.V1.Connection.html#request/2"},{"type":"function","title":"Options - GoogleApi.CustomSearch.V1.Connection.request/2","doc":"- `:method` - the request method, one of [`:head`, `:get`, `:delete`, `:trace`, `:options`, `:post`, `:put`, `:patch`]\n- `:url` - either full url e.g. \"http://example.com/some/path\" or just \"/some/path\" if using `Tesla.Middleware.BaseUrl`\n- `:query` - a keyword list of query params, e.g. `[page: 1, per_page: 100]`\n- `:headers` - a keyworld list of headers, e.g. `[{\"content-type\", \"text/plain\"}]`\n- `:body` - depends on used middleware:\n    - by default it can be a binary\n    - if using e.g. JSON encoding middleware it can be a nested map\n    - if adapter supports it it can be a Stream with any of the above\n- `:opts` - custom, per-request middleware or adapter options","ref":"GoogleApi.CustomSearch.V1.Connection.html#request/2-options"},{"type":"function","title":"Examples - GoogleApi.CustomSearch.V1.Connection.request/2","doc":"ExampleApi.request(method: :get, url: \"/users/path\")\n\n    # use shortcut methods\n    ExampleApi.get(\"/users/1\")\n    ExampleApi.post(client, \"/users\", %{name: \"Jon\"})","ref":"GoogleApi.CustomSearch.V1.Connection.html#request/2-examples"},{"type":"function","title":"GoogleApi.CustomSearch.V1.Connection.request!/2","doc":"Perform request and raise in case of error.\n\nThis is similar to `request/2` behaviour from Tesla 0.x\n\nSee `request/2` for list of available options.","ref":"GoogleApi.CustomSearch.V1.Connection.html#request!/2"},{"type":"function","title":"GoogleApi.CustomSearch.V1.Connection.trace/3","doc":"Perform a TRACE request.\n\nSee `request/1` or `request/2` for options definition.\n\n    trace(\"/users\")\n    trace(\"/users\", query: [scope: \"admin\"])\n    trace(client, \"/users\")\n    trace(client, \"/users\", query: [scope: \"admin\"])\n    trace(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.CustomSearch.V1.Connection.html#trace/3"},{"type":"function","title":"GoogleApi.CustomSearch.V1.Connection.trace!/3","doc":"Perform a TRACE request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    trace!(\"/users\")\n    trace!(\"/users\", query: [scope: \"admin\"])\n    trace!(client, \"/users\")\n    trace!(client, \"/users\", query: [scope: \"admin\"])\n    trace!(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.CustomSearch.V1.Connection.html#trace!/3"},{"type":"type","title":"GoogleApi.CustomSearch.V1.Connection.option/0","doc":"Options that may be passed to a request function. See `request/2` for detailed descriptions.","ref":"GoogleApi.CustomSearch.V1.Connection.html#t:option/0"},{"type":"type","title":"GoogleApi.CustomSearch.V1.Connection.t/0","doc":"","ref":"GoogleApi.CustomSearch.V1.Connection.html#t:t/0"},{"type":"module","title":"GoogleApi.CustomSearch.V1.Model.Promotion","doc":"Promotion result.","ref":"GoogleApi.CustomSearch.V1.Model.Promotion.html"},{"type":"module","title":"Attributes - GoogleApi.CustomSearch.V1.Model.Promotion","doc":"*   `bodyLines` (*type:* `list(GoogleApi.CustomSearch.V1.Model.PromotionBodyLines.t)`, *default:* `nil`) - An array of block objects for this promotion.\n*   `displayLink` (*type:* `String.t`, *default:* `nil`) - An abridged version of this search's result URL, e.g. www.example.com.\n*   `htmlTitle` (*type:* `String.t`, *default:* `nil`) - The title of the promotion, in HTML.\n*   `image` (*type:* `GoogleApi.CustomSearch.V1.Model.PromotionImage.t`, *default:* `nil`) - Image belonging to a promotion.\n*   `link` (*type:* `String.t`, *default:* `nil`) - The URL of the promotion.\n*   `title` (*type:* `String.t`, *default:* `nil`) - The title of the promotion.","ref":"GoogleApi.CustomSearch.V1.Model.Promotion.html#module-attributes"},{"type":"function","title":"GoogleApi.CustomSearch.V1.Model.Promotion.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CustomSearch.V1.Model.Promotion.html#decode/2"},{"type":"type","title":"GoogleApi.CustomSearch.V1.Model.Promotion.t/0","doc":"","ref":"GoogleApi.CustomSearch.V1.Model.Promotion.html#t:t/0"},{"type":"module","title":"GoogleApi.CustomSearch.V1.Model.PromotionBodyLines","doc":"Block object belonging to a promotion.","ref":"GoogleApi.CustomSearch.V1.Model.PromotionBodyLines.html"},{"type":"module","title":"Attributes - GoogleApi.CustomSearch.V1.Model.PromotionBodyLines","doc":"*   `htmlTitle` (*type:* `String.t`, *default:* `nil`) - The block object's text in HTML, if it has text.\n*   `link` (*type:* `String.t`, *default:* `nil`) - The anchor text of the block object's link, if it has a link.\n*   `title` (*type:* `String.t`, *default:* `nil`) - The block object's text, if it has text.\n*   `url` (*type:* `String.t`, *default:* `nil`) - The URL of the block object's link, if it has one.","ref":"GoogleApi.CustomSearch.V1.Model.PromotionBodyLines.html#module-attributes"},{"type":"function","title":"GoogleApi.CustomSearch.V1.Model.PromotionBodyLines.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CustomSearch.V1.Model.PromotionBodyLines.html#decode/2"},{"type":"type","title":"GoogleApi.CustomSearch.V1.Model.PromotionBodyLines.t/0","doc":"","ref":"GoogleApi.CustomSearch.V1.Model.PromotionBodyLines.html#t:t/0"},{"type":"module","title":"GoogleApi.CustomSearch.V1.Model.PromotionImage","doc":"Image belonging to a promotion.","ref":"GoogleApi.CustomSearch.V1.Model.PromotionImage.html"},{"type":"module","title":"Attributes - GoogleApi.CustomSearch.V1.Model.PromotionImage","doc":"*   `height` (*type:* `integer()`, *default:* `nil`) - Image height in pixels.\n*   `source` (*type:* `String.t`, *default:* `nil`) - URL of the image for this promotion link.\n*   `width` (*type:* `integer()`, *default:* `nil`) - Image width in pixels.","ref":"GoogleApi.CustomSearch.V1.Model.PromotionImage.html#module-attributes"},{"type":"function","title":"GoogleApi.CustomSearch.V1.Model.PromotionImage.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CustomSearch.V1.Model.PromotionImage.html#decode/2"},{"type":"type","title":"GoogleApi.CustomSearch.V1.Model.PromotionImage.t/0","doc":"","ref":"GoogleApi.CustomSearch.V1.Model.PromotionImage.html#t:t/0"},{"type":"module","title":"GoogleApi.CustomSearch.V1.Model.Result","doc":"A custom search result.","ref":"GoogleApi.CustomSearch.V1.Model.Result.html"},{"type":"module","title":"Attributes - GoogleApi.CustomSearch.V1.Model.Result","doc":"*   `cacheId` (*type:* `String.t`, *default:* `nil`) - Indicates the ID of Google's cached version of the search result.\n*   `displayLink` (*type:* `String.t`, *default:* `nil`) - An abridged version of this search result’s URL, e.g. www.example.com.\n*   `fileFormat` (*type:* `String.t`, *default:* `nil`) - The file format of the search result.\n*   `formattedUrl` (*type:* `String.t`, *default:* `nil`) - The URL displayed after the snippet for each search result.\n*   `htmlFormattedUrl` (*type:* `String.t`, *default:* `nil`) - The HTML-formatted URL displayed after the snippet for each search result.\n*   `htmlSnippet` (*type:* `String.t`, *default:* `nil`) - The snippet of the search result, in HTML.\n*   `htmlTitle` (*type:* `String.t`, *default:* `nil`) - The title of the search result, in HTML.\n*   `image` (*type:* `GoogleApi.CustomSearch.V1.Model.ResultImage.t`, *default:* `nil`) - Image belonging to a custom search result.\n*   `kind` (*type:* `String.t`, *default:* `nil`) - A unique identifier for the type of current object. For this API, it is `customsearch#result.`\n*   `labels` (*type:* `list(GoogleApi.CustomSearch.V1.Model.ResultLabels.t)`, *default:* `nil`) - Encapsulates all information about refinement labels.\n*   `link` (*type:* `String.t`, *default:* `nil`) - The full URL to which the search result is pointing, e.g. http://www.example.com/foo/bar.\n*   `mime` (*type:* `String.t`, *default:* `nil`) - The MIME type of the search result.\n*   `pagemap` (*type:* `map()`, *default:* `nil`) - Contains [PageMap](https://developers.google.com/custom-search/docs/structured_data#pagemaps) information for this search result.\n*   `snippet` (*type:* `String.t`, *default:* `nil`) - The snippet of the search result, in plain text.\n*   `title` (*type:* `String.t`, *default:* `nil`) - The title of the search result, in plain text.","ref":"GoogleApi.CustomSearch.V1.Model.Result.html#module-attributes"},{"type":"function","title":"GoogleApi.CustomSearch.V1.Model.Result.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CustomSearch.V1.Model.Result.html#decode/2"},{"type":"type","title":"GoogleApi.CustomSearch.V1.Model.Result.t/0","doc":"","ref":"GoogleApi.CustomSearch.V1.Model.Result.html#t:t/0"},{"type":"module","title":"GoogleApi.CustomSearch.V1.Model.ResultImage","doc":"Image belonging to a custom search result.","ref":"GoogleApi.CustomSearch.V1.Model.ResultImage.html"},{"type":"module","title":"Attributes - GoogleApi.CustomSearch.V1.Model.ResultImage","doc":"*   `byteSize` (*type:* `integer()`, *default:* `nil`) - The size of the image, in bytes.\n*   `contextLink` (*type:* `String.t`, *default:* `nil`) - A URL pointing to the webpage hosting the image.\n*   `height` (*type:* `integer()`, *default:* `nil`) - The height of the image, in pixels.\n*   `thumbnailHeight` (*type:* `integer()`, *default:* `nil`) - The height of the thumbnail image, in pixels.\n*   `thumbnailLink` (*type:* `String.t`, *default:* `nil`) - A URL to the thumbnail image.\n*   `thumbnailWidth` (*type:* `integer()`, *default:* `nil`) - The width of the thumbnail image, in pixels.\n*   `width` (*type:* `integer()`, *default:* `nil`) - The width of the image, in pixels.","ref":"GoogleApi.CustomSearch.V1.Model.ResultImage.html#module-attributes"},{"type":"function","title":"GoogleApi.CustomSearch.V1.Model.ResultImage.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CustomSearch.V1.Model.ResultImage.html#decode/2"},{"type":"type","title":"GoogleApi.CustomSearch.V1.Model.ResultImage.t/0","doc":"","ref":"GoogleApi.CustomSearch.V1.Model.ResultImage.html#t:t/0"},{"type":"module","title":"GoogleApi.CustomSearch.V1.Model.ResultLabels","doc":"Refinement label associated with a custom search result.","ref":"GoogleApi.CustomSearch.V1.Model.ResultLabels.html"},{"type":"module","title":"Attributes - GoogleApi.CustomSearch.V1.Model.ResultLabels","doc":"*   `displayName` (*type:* `String.t`, *default:* `nil`) - The display name of a refinement label. This is the name you should display in your user interface.\n*   `label_with_op` (*type:* `String.t`, *default:* `nil`) - Refinement label and the associated refinement operation.\n*   `name` (*type:* `String.t`, *default:* `nil`) - The name of a refinement label, which you can use to refine searches. Don't display this in your user interface; instead, use displayName.","ref":"GoogleApi.CustomSearch.V1.Model.ResultLabels.html#module-attributes"},{"type":"function","title":"GoogleApi.CustomSearch.V1.Model.ResultLabels.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CustomSearch.V1.Model.ResultLabels.html#decode/2"},{"type":"type","title":"GoogleApi.CustomSearch.V1.Model.ResultLabels.t/0","doc":"","ref":"GoogleApi.CustomSearch.V1.Model.ResultLabels.html#t:t/0"},{"type":"module","title":"GoogleApi.CustomSearch.V1.Model.Search","doc":"Response to a custom search request.","ref":"GoogleApi.CustomSearch.V1.Model.Search.html"},{"type":"module","title":"Attributes - GoogleApi.CustomSearch.V1.Model.Search","doc":"*   `context` (*type:* `map()`, *default:* `nil`) - Metadata and refinements associated with the given search engine, including: * The name of the search engine that was used for the query. * A set of [facet objects](https://developers.google.com/custom-search/docs/refinements#create) (refinements) you can use for refining a search.\n*   `items` (*type:* `list(GoogleApi.CustomSearch.V1.Model.Result.t)`, *default:* `nil`) - The current set of custom search results.\n*   `kind` (*type:* `String.t`, *default:* `nil`) - Unique identifier for the type of current object. For this API, it is customsearch#search.\n*   `promotions` (*type:* `list(GoogleApi.CustomSearch.V1.Model.Promotion.t)`, *default:* `nil`) - The set of [promotions](https://developers.google.com/custom-search/docs/promotions). Present only if the custom search engine's configuration files define any promotions for the given query.\n*   `queries` (*type:* `GoogleApi.CustomSearch.V1.Model.SearchQueries.t`, *default:* `nil`) - Query metadata for the previous, current, and next pages of results.\n*   `searchInformation` (*type:* `GoogleApi.CustomSearch.V1.Model.SearchSearchInformation.t`, *default:* `nil`) - Metadata about a search operation.\n*   `spelling` (*type:* `GoogleApi.CustomSearch.V1.Model.SearchSpelling.t`, *default:* `nil`) - Spell correction information for a query.\n*   `url` (*type:* `GoogleApi.CustomSearch.V1.Model.SearchUrl.t`, *default:* `nil`) - OpenSearch template and URL.","ref":"GoogleApi.CustomSearch.V1.Model.Search.html#module-attributes"},{"type":"function","title":"GoogleApi.CustomSearch.V1.Model.Search.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CustomSearch.V1.Model.Search.html#decode/2"},{"type":"type","title":"GoogleApi.CustomSearch.V1.Model.Search.t/0","doc":"","ref":"GoogleApi.CustomSearch.V1.Model.Search.html#t:t/0"},{"type":"module","title":"GoogleApi.CustomSearch.V1.Model.SearchQueries","doc":"Query metadata for the previous, current, and next pages of results.","ref":"GoogleApi.CustomSearch.V1.Model.SearchQueries.html"},{"type":"module","title":"Attributes - GoogleApi.CustomSearch.V1.Model.SearchQueries","doc":"*   `nextPage` (*type:* `list(GoogleApi.CustomSearch.V1.Model.SearchQueriesNextPage.t)`, *default:* `nil`) - Metadata representing the next page of results, if applicable.\n*   `previousPage` (*type:* `list(GoogleApi.CustomSearch.V1.Model.SearchQueriesPreviousPage.t)`, *default:* `nil`) - Metadata representing the previous page of results, if applicable.\n*   `request` (*type:* `list(GoogleApi.CustomSearch.V1.Model.SearchQueriesRequest.t)`, *default:* `nil`) - Metadata representing the current request.","ref":"GoogleApi.CustomSearch.V1.Model.SearchQueries.html#module-attributes"},{"type":"function","title":"GoogleApi.CustomSearch.V1.Model.SearchQueries.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CustomSearch.V1.Model.SearchQueries.html#decode/2"},{"type":"type","title":"GoogleApi.CustomSearch.V1.Model.SearchQueries.t/0","doc":"","ref":"GoogleApi.CustomSearch.V1.Model.SearchQueries.html#t:t/0"},{"type":"module","title":"GoogleApi.CustomSearch.V1.Model.SearchQueriesNextPage","doc":"Custom search request metadata.","ref":"GoogleApi.CustomSearch.V1.Model.SearchQueriesNextPage.html"},{"type":"module","title":"Attributes - GoogleApi.CustomSearch.V1.Model.SearchQueriesNextPage","doc":"*   `rights` (*type:* `String.t`, *default:* `nil`) - Filters based on licensing. Supported values include: * `cc_publicdomain` * `cc_attribute` * `cc_sharealike` * `cc_noncommercial` * `cc_nonderived`\n*   `hq` (*type:* `String.t`, *default:* `nil`) - Appends the specified query terms to the query, as if they were combined with a logical `AND` operator.\n*   `imgDominantColor` (*type:* `String.t`, *default:* `nil`) - Restricts results to images with a specific dominant color. Supported values are: * `red` * `orange` * `yellow` * `green` * `teal` * `blue` * `purple` * `pink` * `white` * `gray` * `black` * `brown`\n*   `inputEncoding` (*type:* `String.t`, *default:* `nil`) - The character encoding supported for search requests.\n*   `cx` (*type:* `String.t`, *default:* `nil`) - The identifier of an engine created using the Programmable Search Engine [Control Panel](https://programmablesearchengine.google.com/). This is a custom property not defined in the OpenSearch spec. This parameter is **required**.\n*   `excludeTerms` (*type:* `String.t`, *default:* `nil`) - Identifies a word or phrase that should not appear in any documents in the search results.\n*   `outputEncoding` (*type:* `String.t`, *default:* `nil`) - The character encoding supported for search results.\n*   `startPage` (*type:* `integer()`, *default:* `nil`) - The page number of this set of results, where the page length is set by the `count` property.\n*   `siteSearchFilter` (*type:* `String.t`, *default:* `nil`) - Specifies whether to include or exclude results from the site named in the `sitesearch` parameter. Supported values are: * `i`: include content from site * `e`: exclude content from site\n*   `dateRestrict` (*type:* `String.t`, *default:* `nil`) - Restricts results to URLs based on date. Supported values include: * `d[number]`: requests results from the specified number of past days. * `w[number]`: requests results from the specified number of past weeks. * `m[number]`: requests results from the specified number of past months. * `y[number]`: requests results from the specified number of past years.\n*   `totalResults` (*type:* `String.t`, *default:* `nil`) - Estimated number of total search results. May not be accurate.\n*   `count` (*type:* `integer()`, *default:* `nil`) - Number of search results returned in this set.\n*   `relatedSite` (*type:* `String.t`, *default:* `nil`) - Specifies that all search results should be pages that are related to the specified URL. The parameter value should be a URL.\n*   `googleHost` (*type:* `String.t`, *default:* `nil`) - Specifies the Google domain (for example, google.com, google.de, or google.fr) to which the search should be limited.\n*   `siteSearch` (*type:* `String.t`, *default:* `nil`) - Restricts results to URLs from a specified site.\n*   `gl` (*type:* `String.t`, *default:* `nil`) - Boosts search results whose country of origin matches the parameter value. See [Country Codes](https://developers.google.com/custom-search/docs/json_api_reference#countryCodes) for a list of valid values. Specifying a `gl` parameter value in WebSearch requests should improve the relevance of results. This is particularly true for international customers and, even more specifically, for customers in English-speaking countries other than the United States.\n*   `exactTerms` (*type:* `String.t`, *default:* `nil`) - Identifies a phrase that all documents in the search results must contain.\n*   `searchType` (*type:* `String.t`, *default:* `nil`) - Allowed values are `web` or `image`. If unspecified, results are limited to webpages.\n*   `searchTerms` (*type:* `String.t`, *default:* `nil`) - The search terms entered by the user.\n*   `imgColorType` (*type:* `String.t`, *default:* `nil`) - Restricts results to images of a specified color type. Supported values are: * `mono` (black and white) * `gray` (grayscale) * `color` (color)\n*   `imgType` (*type:* `String.t`, *default:* `nil`) - Restricts results to images of a specified type. Supported values are: * `clipart` (Clip art) * `face` (Face) * `lineart` (Line drawing) * `photo` (Photo) * `animated` (Animated) * `stock` (Stock)\n*   `filter` (*type:* `String.t`, *default:* `nil`) - Activates or deactivates the automatic filtering of Google search results. See [Automatic Filtering](https://developers.google.com/custom-search/docs/json_api_reference#automaticFiltering) for more information about Google's search results filters. Valid values for this parameter are: * `0`: Disabled * `1`: Enabled (default) **Note**: By default, Google applies filtering to all search results to improve the quality of those results.\n*   `language` (*type:* `String.t`, *default:* `nil`) - The language of the search results.\n*   `sort` (*type:* `String.t`, *default:* `nil`) - Specifies that results should be sorted according to the specified expression. For example, sort by date.\n*   `lowRange` (*type:* `String.t`, *default:* `nil`) - Specifies the starting value for a search range. Use `cse:lowRange` and `cse:highrange` to append an inclusive search range of `lowRange...highRange` to the query.\n*   `imgSize` (*type:* `String.t`, *default:* `nil`) - Restricts results to images of a specified size. Supported values are: * `icon` (small) * `small | medium | large | xlarge` (medium) * `xxlarge` (large) * `huge` (extra-large)\n*   `startIndex` (*type:* `integer()`, *default:* `nil`) - The index of the current set of search results into the total set of results, where the index of the first result is 1.\n*   `fileType` (*type:* `String.t`, *default:* `nil`) - Restricts results to files of a specified extension. Filetypes supported by Google include: * Adobe Portable Document Format (`pdf`) * Adobe PostScript (`ps`) * Lotus 1-2-3 (`wk1`, `wk2`, `wk3`, `wk4`, `wk5`, `wki`, `wks`, `wku`) * Lotus WordPro (`lwp`) * Macwrite (`mw`) * Microsoft Excel (`xls`) * Microsoft PowerPoint (`ppt`) * Microsoft Word (`doc`) * Microsoft Works (`wks`, `wps`, `wdb`) * Microsoft Write (`wri`) * Rich Text Format (`rtf`) * Shockwave Flash (`swf`) * Text (`ans`, `txt`). Additional filetypes may be added in the future. An up-to-date list can always be found in Google's [file type FAQ](https://support.google.com/webmasters/answer/35287).\n*   `safe` (*type:* `String.t`, *default:* `nil`) - Specifies the [SafeSearch level](https://developers.google.com/custom-search/docs/json_api_reference#safeSearchLevels) used for filtering out adult results. This is a custom property not defined in the OpenSearch spec. Valid parameter values are: * `\"off\"`: Disable SafeSearch * `\"active\"`: Enable SafeSearch\n*   `linkSite` (*type:* `String.t`, *default:* `nil`) - Specifies that all results should contain a link to a specific URL.\n*   `highRange` (*type:* `String.t`, *default:* `nil`) - Specifies the ending value for a search range. Use `cse:lowRange` and `cse:highrange` to append an inclusive search range of `lowRange...highRange` to the query.\n*   `orTerms` (*type:* `String.t`, *default:* `nil`) - Provides additional search terms to check for in a document, where each document in the search results must contain at least one of the additional search terms. You can also use the [Boolean OR](https://developers.google.com/custom-search/docs/json_api_reference#BooleanOrSearch) query term for this type of query.\n*   `hl` (*type:* `String.t`, *default:* `nil`) - Specifies the interface language (host language) of your user interface. Explicitly setting this parameter improves the performance and the quality of your search results. See the [Interface Languages](https://developers.google.com/custom-search/docs/json_api_reference#wsInterfaceLanguages) section of [Internationalizing Queries and Results Presentation](https://developers.google.com/custom-search/docs/json_api_reference#wsInternationalizing) for more information, and [Supported Interface Languages](https://developers.google.com/custom-search/docs/json_api_reference#interfaceLanguages) for a list of supported languages.\n*   `cr` (*type:* `String.t`, *default:* `nil`) - Restricts search results to documents originating in a particular country. You may use [Boolean operators](https://developers.google.com/custom-search/docs/json_api_reference#BooleanOrSearch) in the `cr` parameter's value. Google WebSearch determines the country of a document by analyzing the following: * The top-level domain (TLD) of the document's URL. * The geographic location of the web server's IP address. See [Country (cr) Parameter Values](https://developers.google.com/custom-search/docs/json_api_reference#countryCollections) for a list of valid values for this parameter.\n*   `title` (*type:* `String.t`, *default:* `nil`) - A description of the query.\n*   `disableCnTwTranslation` (*type:* `String.t`, *default:* `nil`) - Enables or disables the [Simplified and Traditional Chinese Search](https://developers.google.com/custom-search/docs/json_api_reference#chineseSearch) feature. Supported values are: * `0`: enabled (default) * `1`: disabled","ref":"GoogleApi.CustomSearch.V1.Model.SearchQueriesNextPage.html#module-attributes"},{"type":"function","title":"GoogleApi.CustomSearch.V1.Model.SearchQueriesNextPage.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CustomSearch.V1.Model.SearchQueriesNextPage.html#decode/2"},{"type":"type","title":"GoogleApi.CustomSearch.V1.Model.SearchQueriesNextPage.t/0","doc":"","ref":"GoogleApi.CustomSearch.V1.Model.SearchQueriesNextPage.html#t:t/0"},{"type":"module","title":"GoogleApi.CustomSearch.V1.Model.SearchQueriesPreviousPage","doc":"Custom search request metadata.","ref":"GoogleApi.CustomSearch.V1.Model.SearchQueriesPreviousPage.html"},{"type":"module","title":"Attributes - GoogleApi.CustomSearch.V1.Model.SearchQueriesPreviousPage","doc":"*   `rights` (*type:* `String.t`, *default:* `nil`) - Filters based on licensing. Supported values include: * `cc_publicdomain` * `cc_attribute` * `cc_sharealike` * `cc_noncommercial` * `cc_nonderived`\n*   `hq` (*type:* `String.t`, *default:* `nil`) - Appends the specified query terms to the query, as if they were combined with a logical `AND` operator.\n*   `imgDominantColor` (*type:* `String.t`, *default:* `nil`) - Restricts results to images with a specific dominant color. Supported values are: * `red` * `orange` * `yellow` * `green` * `teal` * `blue` * `purple` * `pink` * `white` * `gray` * `black` * `brown`\n*   `inputEncoding` (*type:* `String.t`, *default:* `nil`) - The character encoding supported for search requests.\n*   `cx` (*type:* `String.t`, *default:* `nil`) - The identifier of an engine created using the Programmable Search Engine [Control Panel](https://programmablesearchengine.google.com/). This is a custom property not defined in the OpenSearch spec. This parameter is **required**.\n*   `excludeTerms` (*type:* `String.t`, *default:* `nil`) - Identifies a word or phrase that should not appear in any documents in the search results.\n*   `outputEncoding` (*type:* `String.t`, *default:* `nil`) - The character encoding supported for search results.\n*   `startPage` (*type:* `integer()`, *default:* `nil`) - The page number of this set of results, where the page length is set by the `count` property.\n*   `siteSearchFilter` (*type:* `String.t`, *default:* `nil`) - Specifies whether to include or exclude results from the site named in the `sitesearch` parameter. Supported values are: * `i`: include content from site * `e`: exclude content from site\n*   `dateRestrict` (*type:* `String.t`, *default:* `nil`) - Restricts results to URLs based on date. Supported values include: * `d[number]`: requests results from the specified number of past days. * `w[number]`: requests results from the specified number of past weeks. * `m[number]`: requests results from the specified number of past months. * `y[number]`: requests results from the specified number of past years.\n*   `totalResults` (*type:* `String.t`, *default:* `nil`) - Estimated number of total search results. May not be accurate.\n*   `count` (*type:* `integer()`, *default:* `nil`) - Number of search results returned in this set.\n*   `relatedSite` (*type:* `String.t`, *default:* `nil`) - Specifies that all search results should be pages that are related to the specified URL. The parameter value should be a URL.\n*   `googleHost` (*type:* `String.t`, *default:* `nil`) - Specifies the Google domain (for example, google.com, google.de, or google.fr) to which the search should be limited.\n*   `siteSearch` (*type:* `String.t`, *default:* `nil`) - Restricts results to URLs from a specified site.\n*   `gl` (*type:* `String.t`, *default:* `nil`) - Boosts search results whose country of origin matches the parameter value. See [Country Codes](https://developers.google.com/custom-search/docs/json_api_reference#countryCodes) for a list of valid values. Specifying a `gl` parameter value in WebSearch requests should improve the relevance of results. This is particularly true for international customers and, even more specifically, for customers in English-speaking countries other than the United States.\n*   `exactTerms` (*type:* `String.t`, *default:* `nil`) - Identifies a phrase that all documents in the search results must contain.\n*   `searchType` (*type:* `String.t`, *default:* `nil`) - Allowed values are `web` or `image`. If unspecified, results are limited to webpages.\n*   `searchTerms` (*type:* `String.t`, *default:* `nil`) - The search terms entered by the user.\n*   `imgColorType` (*type:* `String.t`, *default:* `nil`) - Restricts results to images of a specified color type. Supported values are: * `mono` (black and white) * `gray` (grayscale) * `color` (color)\n*   `imgType` (*type:* `String.t`, *default:* `nil`) - Restricts results to images of a specified type. Supported values are: * `clipart` (Clip art) * `face` (Face) * `lineart` (Line drawing) * `photo` (Photo) * `animated` (Animated) * `stock` (Stock)\n*   `filter` (*type:* `String.t`, *default:* `nil`) - Activates or deactivates the automatic filtering of Google search results. See [Automatic Filtering](https://developers.google.com/custom-search/docs/json_api_reference#automaticFiltering) for more information about Google's search results filters. Valid values for this parameter are: * `0`: Disabled * `1`: Enabled (default) **Note**: By default, Google applies filtering to all search results to improve the quality of those results.\n*   `language` (*type:* `String.t`, *default:* `nil`) - The language of the search results.\n*   `sort` (*type:* `String.t`, *default:* `nil`) - Specifies that results should be sorted according to the specified expression. For example, sort by date.\n*   `lowRange` (*type:* `String.t`, *default:* `nil`) - Specifies the starting value for a search range. Use `cse:lowRange` and `cse:highrange` to append an inclusive search range of `lowRange...highRange` to the query.\n*   `imgSize` (*type:* `String.t`, *default:* `nil`) - Restricts results to images of a specified size. Supported values are: * `icon` (small) * `small | medium | large | xlarge` (medium) * `xxlarge` (large) * `huge` (extra-large)\n*   `startIndex` (*type:* `integer()`, *default:* `nil`) - The index of the current set of search results into the total set of results, where the index of the first result is 1.\n*   `fileType` (*type:* `String.t`, *default:* `nil`) - Restricts results to files of a specified extension. Filetypes supported by Google include: * Adobe Portable Document Format (`pdf`) * Adobe PostScript (`ps`) * Lotus 1-2-3 (`wk1`, `wk2`, `wk3`, `wk4`, `wk5`, `wki`, `wks`, `wku`) * Lotus WordPro (`lwp`) * Macwrite (`mw`) * Microsoft Excel (`xls`) * Microsoft PowerPoint (`ppt`) * Microsoft Word (`doc`) * Microsoft Works (`wks`, `wps`, `wdb`) * Microsoft Write (`wri`) * Rich Text Format (`rtf`) * Shockwave Flash (`swf`) * Text (`ans`, `txt`). Additional filetypes may be added in the future. An up-to-date list can always be found in Google's [file type FAQ](https://support.google.com/webmasters/answer/35287).\n*   `safe` (*type:* `String.t`, *default:* `nil`) - Specifies the [SafeSearch level](https://developers.google.com/custom-search/docs/json_api_reference#safeSearchLevels) used for filtering out adult results. This is a custom property not defined in the OpenSearch spec. Valid parameter values are: * `\"off\"`: Disable SafeSearch * `\"active\"`: Enable SafeSearch\n*   `linkSite` (*type:* `String.t`, *default:* `nil`) - Specifies that all results should contain a link to a specific URL.\n*   `highRange` (*type:* `String.t`, *default:* `nil`) - Specifies the ending value for a search range. Use `cse:lowRange` and `cse:highrange` to append an inclusive search range of `lowRange...highRange` to the query.\n*   `orTerms` (*type:* `String.t`, *default:* `nil`) - Provides additional search terms to check for in a document, where each document in the search results must contain at least one of the additional search terms. You can also use the [Boolean OR](https://developers.google.com/custom-search/docs/json_api_reference#BooleanOrSearch) query term for this type of query.\n*   `hl` (*type:* `String.t`, *default:* `nil`) - Specifies the interface language (host language) of your user interface. Explicitly setting this parameter improves the performance and the quality of your search results. See the [Interface Languages](https://developers.google.com/custom-search/docs/json_api_reference#wsInterfaceLanguages) section of [Internationalizing Queries and Results Presentation](https://developers.google.com/custom-search/docs/json_api_reference#wsInternationalizing) for more information, and [Supported Interface Languages](https://developers.google.com/custom-search/docs/json_api_reference#interfaceLanguages) for a list of supported languages.\n*   `cr` (*type:* `String.t`, *default:* `nil`) - Restricts search results to documents originating in a particular country. You may use [Boolean operators](https://developers.google.com/custom-search/docs/json_api_reference#BooleanOrSearch) in the `cr` parameter's value. Google WebSearch determines the country of a document by analyzing the following: * The top-level domain (TLD) of the document's URL. * The geographic location of the web server's IP address. See [Country (cr) Parameter Values](https://developers.google.com/custom-search/docs/json_api_reference#countryCollections) for a list of valid values for this parameter.\n*   `title` (*type:* `String.t`, *default:* `nil`) - A description of the query.\n*   `disableCnTwTranslation` (*type:* `String.t`, *default:* `nil`) - Enables or disables the [Simplified and Traditional Chinese Search](https://developers.google.com/custom-search/docs/json_api_reference#chineseSearch) feature. Supported values are: * `0`: enabled (default) * `1`: disabled","ref":"GoogleApi.CustomSearch.V1.Model.SearchQueriesPreviousPage.html#module-attributes"},{"type":"function","title":"GoogleApi.CustomSearch.V1.Model.SearchQueriesPreviousPage.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CustomSearch.V1.Model.SearchQueriesPreviousPage.html#decode/2"},{"type":"type","title":"GoogleApi.CustomSearch.V1.Model.SearchQueriesPreviousPage.t/0","doc":"","ref":"GoogleApi.CustomSearch.V1.Model.SearchQueriesPreviousPage.html#t:t/0"},{"type":"module","title":"GoogleApi.CustomSearch.V1.Model.SearchQueriesRequest","doc":"Custom search request metadata.","ref":"GoogleApi.CustomSearch.V1.Model.SearchQueriesRequest.html"},{"type":"module","title":"Attributes - GoogleApi.CustomSearch.V1.Model.SearchQueriesRequest","doc":"*   `rights` (*type:* `String.t`, *default:* `nil`) - Filters based on licensing. Supported values include: * `cc_publicdomain` * `cc_attribute` * `cc_sharealike` * `cc_noncommercial` * `cc_nonderived`\n*   `hq` (*type:* `String.t`, *default:* `nil`) - Appends the specified query terms to the query, as if they were combined with a logical `AND` operator.\n*   `imgDominantColor` (*type:* `String.t`, *default:* `nil`) - Restricts results to images with a specific dominant color. Supported values are: * `red` * `orange` * `yellow` * `green` * `teal` * `blue` * `purple` * `pink` * `white` * `gray` * `black` * `brown`\n*   `inputEncoding` (*type:* `String.t`, *default:* `nil`) - The character encoding supported for search requests.\n*   `cx` (*type:* `String.t`, *default:* `nil`) - The identifier of an engine created using the Programmable Search Engine [Control Panel](https://programmablesearchengine.google.com/). This is a custom property not defined in the OpenSearch spec. This parameter is **required**.\n*   `excludeTerms` (*type:* `String.t`, *default:* `nil`) - Identifies a word or phrase that should not appear in any documents in the search results.\n*   `outputEncoding` (*type:* `String.t`, *default:* `nil`) - The character encoding supported for search results.\n*   `startPage` (*type:* `integer()`, *default:* `nil`) - The page number of this set of results, where the page length is set by the `count` property.\n*   `siteSearchFilter` (*type:* `String.t`, *default:* `nil`) - Specifies whether to include or exclude results from the site named in the `sitesearch` parameter. Supported values are: * `i`: include content from site * `e`: exclude content from site\n*   `dateRestrict` (*type:* `String.t`, *default:* `nil`) - Restricts results to URLs based on date. Supported values include: * `d[number]`: requests results from the specified number of past days. * `w[number]`: requests results from the specified number of past weeks. * `m[number]`: requests results from the specified number of past months. * `y[number]`: requests results from the specified number of past years.\n*   `totalResults` (*type:* `String.t`, *default:* `nil`) - Estimated number of total search results. May not be accurate.\n*   `count` (*type:* `integer()`, *default:* `nil`) - Number of search results returned in this set.\n*   `relatedSite` (*type:* `String.t`, *default:* `nil`) - Specifies that all search results should be pages that are related to the specified URL. The parameter value should be a URL.\n*   `googleHost` (*type:* `String.t`, *default:* `nil`) - Specifies the Google domain (for example, google.com, google.de, or google.fr) to which the search should be limited.\n*   `siteSearch` (*type:* `String.t`, *default:* `nil`) - Restricts results to URLs from a specified site.\n*   `gl` (*type:* `String.t`, *default:* `nil`) - Boosts search results whose country of origin matches the parameter value. See [Country Codes](https://developers.google.com/custom-search/docs/json_api_reference#countryCodes) for a list of valid values. Specifying a `gl` parameter value in WebSearch requests should improve the relevance of results. This is particularly true for international customers and, even more specifically, for customers in English-speaking countries other than the United States.\n*   `exactTerms` (*type:* `String.t`, *default:* `nil`) - Identifies a phrase that all documents in the search results must contain.\n*   `searchType` (*type:* `String.t`, *default:* `nil`) - Allowed values are `web` or `image`. If unspecified, results are limited to webpages.\n*   `searchTerms` (*type:* `String.t`, *default:* `nil`) - The search terms entered by the user.\n*   `imgColorType` (*type:* `String.t`, *default:* `nil`) - Restricts results to images of a specified color type. Supported values are: * `mono` (black and white) * `gray` (grayscale) * `color` (color)\n*   `imgType` (*type:* `String.t`, *default:* `nil`) - Restricts results to images of a specified type. Supported values are: * `clipart` (Clip art) * `face` (Face) * `lineart` (Line drawing) * `photo` (Photo) * `animated` (Animated) * `stock` (Stock)\n*   `filter` (*type:* `String.t`, *default:* `nil`) - Activates or deactivates the automatic filtering of Google search results. See [Automatic Filtering](https://developers.google.com/custom-search/docs/json_api_reference#automaticFiltering) for more information about Google's search results filters. Valid values for this parameter are: * `0`: Disabled * `1`: Enabled (default) **Note**: By default, Google applies filtering to all search results to improve the quality of those results.\n*   `language` (*type:* `String.t`, *default:* `nil`) - The language of the search results.\n*   `sort` (*type:* `String.t`, *default:* `nil`) - Specifies that results should be sorted according to the specified expression. For example, sort by date.\n*   `lowRange` (*type:* `String.t`, *default:* `nil`) - Specifies the starting value for a search range. Use `cse:lowRange` and `cse:highrange` to append an inclusive search range of `lowRange...highRange` to the query.\n*   `imgSize` (*type:* `String.t`, *default:* `nil`) - Restricts results to images of a specified size. Supported values are: * `icon` (small) * `small | medium | large | xlarge` (medium) * `xxlarge` (large) * `huge` (extra-large)\n*   `startIndex` (*type:* `integer()`, *default:* `nil`) - The index of the current set of search results into the total set of results, where the index of the first result is 1.\n*   `fileType` (*type:* `String.t`, *default:* `nil`) - Restricts results to files of a specified extension. Filetypes supported by Google include: * Adobe Portable Document Format (`pdf`) * Adobe PostScript (`ps`) * Lotus 1-2-3 (`wk1`, `wk2`, `wk3`, `wk4`, `wk5`, `wki`, `wks`, `wku`) * Lotus WordPro (`lwp`) * Macwrite (`mw`) * Microsoft Excel (`xls`) * Microsoft PowerPoint (`ppt`) * Microsoft Word (`doc`) * Microsoft Works (`wks`, `wps`, `wdb`) * Microsoft Write (`wri`) * Rich Text Format (`rtf`) * Shockwave Flash (`swf`) * Text (`ans`, `txt`). Additional filetypes may be added in the future. An up-to-date list can always be found in Google's [file type FAQ](https://support.google.com/webmasters/answer/35287).\n*   `safe` (*type:* `String.t`, *default:* `nil`) - Specifies the [SafeSearch level](https://developers.google.com/custom-search/docs/json_api_reference#safeSearchLevels) used for filtering out adult results. This is a custom property not defined in the OpenSearch spec. Valid parameter values are: * `\"off\"`: Disable SafeSearch * `\"active\"`: Enable SafeSearch\n*   `linkSite` (*type:* `String.t`, *default:* `nil`) - Specifies that all results should contain a link to a specific URL.\n*   `highRange` (*type:* `String.t`, *default:* `nil`) - Specifies the ending value for a search range. Use `cse:lowRange` and `cse:highrange` to append an inclusive search range of `lowRange...highRange` to the query.\n*   `orTerms` (*type:* `String.t`, *default:* `nil`) - Provides additional search terms to check for in a document, where each document in the search results must contain at least one of the additional search terms. You can also use the [Boolean OR](https://developers.google.com/custom-search/docs/json_api_reference#BooleanOrSearch) query term for this type of query.\n*   `hl` (*type:* `String.t`, *default:* `nil`) - Specifies the interface language (host language) of your user interface. Explicitly setting this parameter improves the performance and the quality of your search results. See the [Interface Languages](https://developers.google.com/custom-search/docs/json_api_reference#wsInterfaceLanguages) section of [Internationalizing Queries and Results Presentation](https://developers.google.com/custom-search/docs/json_api_reference#wsInternationalizing) for more information, and [Supported Interface Languages](https://developers.google.com/custom-search/docs/json_api_reference#interfaceLanguages) for a list of supported languages.\n*   `cr` (*type:* `String.t`, *default:* `nil`) - Restricts search results to documents originating in a particular country. You may use [Boolean operators](https://developers.google.com/custom-search/docs/json_api_reference#BooleanOrSearch) in the `cr` parameter's value. Google WebSearch determines the country of a document by analyzing the following: * The top-level domain (TLD) of the document's URL. * The geographic location of the web server's IP address. See [Country (cr) Parameter Values](https://developers.google.com/custom-search/docs/json_api_reference#countryCollections) for a list of valid values for this parameter.\n*   `title` (*type:* `String.t`, *default:* `nil`) - A description of the query.\n*   `disableCnTwTranslation` (*type:* `String.t`, *default:* `nil`) - Enables or disables the [Simplified and Traditional Chinese Search](https://developers.google.com/custom-search/docs/json_api_reference#chineseSearch) feature. Supported values are: * `0`: enabled (default) * `1`: disabled","ref":"GoogleApi.CustomSearch.V1.Model.SearchQueriesRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.CustomSearch.V1.Model.SearchQueriesRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CustomSearch.V1.Model.SearchQueriesRequest.html#decode/2"},{"type":"type","title":"GoogleApi.CustomSearch.V1.Model.SearchQueriesRequest.t/0","doc":"","ref":"GoogleApi.CustomSearch.V1.Model.SearchQueriesRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.CustomSearch.V1.Model.SearchSearchInformation","doc":"Metadata about a search operation.","ref":"GoogleApi.CustomSearch.V1.Model.SearchSearchInformation.html"},{"type":"module","title":"Attributes - GoogleApi.CustomSearch.V1.Model.SearchSearchInformation","doc":"*   `formattedSearchTime` (*type:* `String.t`, *default:* `nil`) - The time taken for the server to return search results, formatted according to locale style.\n*   `formattedTotalResults` (*type:* `String.t`, *default:* `nil`) - The total number of search results, formatted according to locale style.\n*   `searchTime` (*type:* `float()`, *default:* `nil`) - The time taken for the server to return search results.\n*   `totalResults` (*type:* `String.t`, *default:* `nil`) - The total number of search results returned by the query.","ref":"GoogleApi.CustomSearch.V1.Model.SearchSearchInformation.html#module-attributes"},{"type":"function","title":"GoogleApi.CustomSearch.V1.Model.SearchSearchInformation.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CustomSearch.V1.Model.SearchSearchInformation.html#decode/2"},{"type":"type","title":"GoogleApi.CustomSearch.V1.Model.SearchSearchInformation.t/0","doc":"","ref":"GoogleApi.CustomSearch.V1.Model.SearchSearchInformation.html#t:t/0"},{"type":"module","title":"GoogleApi.CustomSearch.V1.Model.SearchSpelling","doc":"Spell correction information for a query.","ref":"GoogleApi.CustomSearch.V1.Model.SearchSpelling.html"},{"type":"module","title":"Attributes - GoogleApi.CustomSearch.V1.Model.SearchSpelling","doc":"*   `correctedQuery` (*type:* `String.t`, *default:* `nil`) - The corrected query.\n*   `htmlCorrectedQuery` (*type:* `String.t`, *default:* `nil`) - The corrected query, formatted in HTML.","ref":"GoogleApi.CustomSearch.V1.Model.SearchSpelling.html#module-attributes"},{"type":"function","title":"GoogleApi.CustomSearch.V1.Model.SearchSpelling.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CustomSearch.V1.Model.SearchSpelling.html#decode/2"},{"type":"type","title":"GoogleApi.CustomSearch.V1.Model.SearchSpelling.t/0","doc":"","ref":"GoogleApi.CustomSearch.V1.Model.SearchSpelling.html#t:t/0"},{"type":"module","title":"GoogleApi.CustomSearch.V1.Model.SearchUrl","doc":"OpenSearch template and URL.","ref":"GoogleApi.CustomSearch.V1.Model.SearchUrl.html"},{"type":"module","title":"Attributes - GoogleApi.CustomSearch.V1.Model.SearchUrl","doc":"*   `template` (*type:* `String.t`, *default:* `nil`) - The actual [OpenSearch template](http://www.opensearch.org/specifications/opensearch/1.1#opensearch_url_template_syntax) for this API.\n*   `type` (*type:* `String.t`, *default:* `nil`) - The MIME type of the OpenSearch URL template for the Custom Search JSON API.","ref":"GoogleApi.CustomSearch.V1.Model.SearchUrl.html#module-attributes"},{"type":"function","title":"GoogleApi.CustomSearch.V1.Model.SearchUrl.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CustomSearch.V1.Model.SearchUrl.html#decode/2"},{"type":"type","title":"GoogleApi.CustomSearch.V1.Model.SearchUrl.t/0","doc":"","ref":"GoogleApi.CustomSearch.V1.Model.SearchUrl.html#t:t/0"}],"content_type":"text/markdown","producer":{"name":"ex_doc","version":[48,46,51,52,46,50]}}